# Tutorial - how-to-check-if-a-key-exists-in-a-python-dictionary

# approach 1
def check_key(dictionary, key_to_lookup):
    if key_to_lookup in dictionary:
        print('Key = {} is present with value = {}'.format(key_to_lookup, dictionary[key_to_lookup]))
    else:
        print('Key = {} is not present in the dict'.format(key_to_lookup))


# approach 2
def contains_key(dictionary, key_to_lookup):
    if dictionary.__contains__(key_to_lookup):
        print('Key = {} is present with value = {}'.format(key_to_lookup, dictionary[key_to_lookup]))
    else:
        print('Key = {} is not present in the dict'.format(key_to_lookup))


def main():
    cars = {'a': 'Mercedes', 'b': 'Audi', 'c': 'Bmw'}

    print('\n==== Checking key existence via if-in statement ====\n')
    check_key(cars, 'a')
    check_key(cars, 'x')

    print('\n==== Checking key existence via contains ====\n')
    contains_key(cars, 'c')
    contains_key(cars, 'y')


# driver code.
if __name__ == '__main__':
    main()

print("\nDone")
